GET
Fetch lightning invoices
This API call is used to fetch current lightning invoices which are used for requesting and receiving payments over the lightning network.
Path Params
-
walletIdstring required
Query Params
-
statusstring enumopensettledcanceled -
limitstring number -
startDatestring date-time -
endDatestring date-time -
prevIdstring
Responses
200
OK
Response Body
object
-
invoicesarray of objects requiredinvoices object
-
memostringA memo or description for the invoice -
amtPaidMsatstring numberThe number of millisats actually paid to this invoice, this may be greater than the amount requested by the invoice, since lightning allows overpaying (but not underpaying) invoices. -
invoicestring requiredThe BOLT #11 encoded invoice -
paymentHashstring requiredThe payment hash of the invoice -
valueMsatstring number requiredThe value of the invoice in millisatoshis -
expiresAtstring date-time requiredISO-8601 string representing when the invoice will expire -
statusstring enum requiredThe status of the invoiceopensettledcanceled -
walletIdstring requiredThe wallet to which this invoice belongs -
createdAtstring date-time requiredISO-8601 string representing when the invoice was created -
updatedAtstring date-time requiredISO-8601 string representing when the invoice was updated
-
-
nextBatchPrevIdstring
400
Bad Request
Response Body
ONE OF
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
-
namestring enum requiredInvalidWalletId -
contextobject requiredcontext object
-
idstring required
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
404
Not Found
Response Body
object
-
namestring enum requiredInvalidWalletId -
contextobject requiredcontext object
-
idstring required
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
500
Internal Server Error
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id